Bug 17210 - Remove use of onclick from biblio detail sidebar in OPAC
Summary: Remove use of onclick from biblio detail sidebar in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 17315
  Show dependency treegraph
 
Reported: 2016-08-29 06:05 UTC by Aleisha Amohia
Modified: 2017-06-14 22:13 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17210: Remove use of onclick form biblio detail sidebar in OPAC (3.80 KB, patch)
2016-08-29 06:09 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 17210: Remove use of onclick from biblio detail sidebar in OPAC (3.80 KB, patch)
2016-08-29 06:11 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17210: Remove use of onclick from biblio detail sidebar in OPAC (3.91 KB, patch)
2016-08-29 13:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17210: Remove use of onclick from biblio detail sidebar in OPAC (3.92 KB, patch)
2016-09-07 10:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17210: Add missing return false for print-large (1006 bytes, patch)
2016-09-07 10:19 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-08-29 06:05:01 UTC

    
Comment 1 Aleisha Amohia 2016-08-29 06:09:59 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2016-08-29 06:11:14 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2016-08-29 13:00:19 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-09-07 10:19:48 UTC
Created attachment 55280 [details] [review]
Bug 17210: Remove use of onclick from biblio detail sidebar in OPAC

Four instances of onclick here:
1) Print
2) Save to your lists
3) Add to your cart
4) Remove from cart

To test:
Find a biblio detail page in OPAC and confirm all four events above work
as expected before and after the patch.

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2016-09-07 10:19:54 UTC
Created attachment 55281 [details] [review]
Bug 17210: Add missing return false for print-large

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Kyle M Hall 2016-09-09 11:50:04 UTC
Pushed to master for 16.11, thanks Aleisha, Jonathan!
Comment 7 Frédéric Demians 2016-09-13 06:52:15 UTC
Pushed in 16.05. Will be in 16.05.04.